##  for PCLinuxOS  ##

%define ver 0.9.0
%define rel 1

Name:    jdim
Summary: A browser for 5ch type multi-threading BBS
Summary(ja): 5ちゃんねる型マルチスレッドBBS用ブラウザ
Version: %{ver}
Release: %{rel}.nora23
Group:   Applications/Internet
License: GPLv2
URL:     https://github.com/JDimproved/JDim

Source0: JDim-v%{version}.tar.xz
Source1: jdim-pclos.desktop

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libtool, automake, autoconf
BuildRequires: gtkmm3.0-devel
BuildRequires: gnutls-devel
BuildRequires: zlib-devel
BuildRequires: lib64sm-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: autoconf-archive

Requires: gtkmm3.0
Requires: glibmm2.4
Requires: gnutls
Requires: zlib

Conflicts: jd

%description
JDim is a browser based on gtkmm for 5ch type multi-threading BBS.
JDim is forked from JD. The look and feel and environment setting are compatible with JD.

CAUTION: JDim does not support API for 5ch.net

%description -l ja
JDim (JD improved) は gtkmm/GTK+ を使用した"5ちゃんねる"型マルチスレッド BBS を閲覧するためのブラウザです。
JDim は GPLv2 の下で公開されている JD から fork したソフトウェアであり、ルック・アンド・フィールや環境設定は JD と互換性があります。

注意: JDim 本体は 5ch.net の API に対応していません。


%prep
%setup -q -n JDim-v%{version}

sed -i 's|2chブラウザ|5chブラウザ|' src/jdversion.h


%build
autoreconf -ivf
%configure2_5x
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

for i in 16 32 96;do \
  mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/$i"x"$i/apps; \
  install -p -m 644 src/icons/jd$i.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/$i"x"$i/apps/%{name}.png; \
done


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog CONTRIBUTING.md INSTALL README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Sun Jan 08 2023 tomcat <> 0.9.0-1
- 0.9.0

* Sun Jul 17 2022 tomcat <> 0.8.0-1
- 0.8.0

* Sat Jan 15 2022 tomcat <> 0.7.0-1
- 0.7.0

* Sun Jul 11 2021 tomcat <> 0.6.0-1
- 0.6.0

* Sat Jan 09 2021 tomcat <> 0.5.0-1
- 0.5.0

* Sat Jul 18 2020 tomcat <> 0.4.0-1
- 0.4.0
- remove BR:libpthread-stubs

* Sat Jan 18 2020 tomcat <> 0.3.0-1
- 0.3.0
- use gtk3 instead of gtk2
- fix %%files

* Thu Sep 19 2019 tomcat <> 0.2.0-3.20190915
- git:20190915
- remove BR:libgcrypt-devel

* Tue Sep 10 2019 tomcat <> 0.2.0-2.20190831
- git:20190831
- update %%files
- update Source1

* Wed Jul 24 2019 tomcat <> 0.2.0-1.20190720
- 0.2.0

* Thu Mar 07 2019 tomcat <> 0.1.0-7.20190304
- git:20190304
- remove Patch0

* Sun Feb 24 2019 tomcat <> 0.1.0-6.20190224
- git:20190224
- add Patch0:jdlib-ssl-pclos.patch

* Fri Feb 22 2019 tomcat <> 0.1.0-5.20190217
- add BR:libpthread-stubs

* Thu Jan 24 2019 tomcat <> 0.1.0-1.20190123
- initial build for PCLinuxOS
